Obsah
Rejstřík 🔎︎

# Návrh indexu

V dialogovém okně Návrh indexu je možné definovat a upravovat indexy aktuální tabulky.

Pro přístup k tomuto příkazu...

V okně databázového souboru klikněte na ikonu Tabulky. Zvolte Vložit - Návrh tabulky nebo Úpravy - Upravit.

Návrh tabulky

## Seznam indexů

Zobrazuje dostupné indexy. Vyberte ze seznamu index, který si přejete upravit. Na pravé straně dialogového okna se zobrazí podrobnější informace o vybraném indexu.

### Nový index

Vytvoří nový index.

### Smazat aktuální index

Smaže aktuální index.

### Přejmenovat aktuální index

Přejmenuje aktuální index.

### Uložit aktuální index

Uloží aktuální index do zdroje dat.

### Obnovit aktuální index

Obnoví u aktuálního indexu nastavení, které měl při spuštění dialogového okna.

## Podrobnosti o indexu

As soon as you change a detail of the current index and then select another index, the change is immediately passed on to the data source. You can only leave the dialog, or select another index, if the change has been successfully acknowledged by the data source. However, you can undo the change by clicking the Reset Current Index icon.

### Unique

Specifies whether the current index allows only unique values. Checking the Unique option prevents duplicate data from being entered in the field and ensures data integrity.

### Fields

The Fields area displays a list of fields in the current table. You can also select multiple fields. In order to remove a field from the selection, select the empty entry at the start of the list.

### Index field

Displays a list of the fields in the current table. You can select more than one field.

### Sort order

Determines the sort order of the indexes.

## Close

Zavře dialogové okno.